
#include <Metro.h> //Include Metro library

#include <Servo.h>

Servo myservo;
int potPin = A0; //analog pin used to connect the sensor
int val = 0;  //variable to read the value from the analog pin
////////////////////////////////////////////////////////////////////////
const int numReadings = 20;

int readings[numReadings];      // the readings from the analog input
int index = 0;                  // the index of the current reading
int total = 0;                  // the running total
int average = 0;                // the average

int inputPin = A0;

// Instanciate a metro object and set the interval to 250 milliseconds (0.25 seconds).
Metro servoMetro = Metro(8000); 
Metro otherservoMetro = Metro(5860); 

void setup()
{
   myservo.attach(9); //set up the servo to pin 9
    Serial.begin(9600); // initialize serial communication with computer:                
  // initialize all the readings to 0: 
  for (int thisReading = 0; thisReading < numReadings; thisReading++)
    readings[thisReading] = 0;    
}
  
void timedaction()
{ if (servoMetro.check() == 1) { // check if the metro has passed its interval .
 myservo.write(90);
 Serial.println("timedaction");
    } 
}


void othertimedaction()
{ if (otherservoMetro.check() == 1) { // check if the metro has passed its interval .
 myservo.write(140);
 Serial.println("othertimedaction");
    } 
}

void sensormotion()
{
  //averaging sensor readings for data smoothing
  // subtract the last reading:
  total= total - readings[index];         
  // read from the sensor:  
  readings[index] = analogRead(inputPin); 
  // add the reading to the total:
  total= total + readings[index];       
  // advance to the next position in the array:  
  index = index + 1;                    

  // if we're at the end of the array...
  if (index >= numReadings)              
    // ...wrap around to the beginning: 
    index = 0;                           

  // calculate the average:
  average = total / numReadings;         
  // send it to the computer as ASCII digits
  Serial.println(average);   
 
  if (average < 100) myservo.write(140);  //if sensor reads under this threshold set arm to lowest point
 
  else if (average > 300) myservo.write(85);  //set servo reads above this threshold set arm to highest point
 //Serial.println(val);
}



void loop()
{
sensormotion();

timedaction();

othertimedaction();

delay(20); // delay in between reads for stability           
  
  }


